Package org.eclipse.mat.snapshot.extension

## Class CollectionExtractionInfo

- java.lang.Object
- - org.eclipse.mat.snapshot.extension.CollectionExtractionInfo

    public class CollectionExtractionInfo
    extends java.lang.Object

Since:
  1.6

### Field Summary

Fields
`java.lang.String` `className`
`ICollectionExtractor` `extractor`
`java.util.EnumSet<JdkVersion>` `version`

### Constructor Summary

Constructors
`CollectionExtractionInfo​(java.lang.String className, java.util.EnumSet<JdkVersion> version, ICollectionExtractor extractor)`
`CollectionExtractionInfo​(java.lang.String className, ICollectionExtractor extractor)`
`CollectionExtractionInfo​(java.lang.String className, JdkVersion version, ICollectionExtractor extractor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### className

    public final java.lang.String className

#### version

    public final java.util.EnumSet<JdkVersion> version

#### extractor

    public final ICollectionExtractor extractor

### Constructor Detail

#### CollectionExtractionInfo

    public CollectionExtractionInfo​(java.lang.String className,
                                    ICollectionExtractor extractor)

#### CollectionExtractionInfo

    public CollectionExtractionInfo​(java.lang.String className,
                                    JdkVersion version,
                                    ICollectionExtractor extractor)

#### CollectionExtractionInfo

    public CollectionExtractionInfo​(java.lang.String className,
                                    java.util.EnumSet<JdkVersion> version,
                                    ICollectionExtractor extractor)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`